Summary:	Open BIOS parsing library
Summary(pl.UTF-8):	Biblioteka analizująca Open BIOS
Name:		libsmbios
Version:	2.2.28
Release:	2
License:	OSL v2.1 or GPL v2+
Group:		Libraries
Source0:	http://linux.dell.com/libsmbios/download/libsmbios/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	4e167e8d108e287defc3c461f50ef159
Patch0:		%{name}-sh.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-gcc.patch
Patch3:		ac.patch
URL:		http://linux.dell.com/libsmbios/main/index.html
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1.6
BuildRequires:	cppunit-devel >= 1.9.6
BuildRequires:	doxygen
BuildRequires:	gettext-tools >= 0.14
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.3
BuildRequires:	rpmbuild(macros) >= 1.219
ExclusiveArch:	%{ix86} %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsmbios is a library and utilities that can be used by client
programs to get information from standard BIOS tables, such as the
SMBIOS table.

%description -l pl.UTF-8
libsmbios to biblioteka i narzędzia, które mogą wykorzystywać
programy klienckie do uzyskania informacji ze standardowych tablic
BIOS-u, takich jak tablica SMBIOS.

%package progs
Summary:	libsmbios tools
Summary(pl.UTF-8):	Narzędzia libsmbios
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description progs
libsmbios tools.

%description progs -l pl.UTF-8
Narzędzia libsmbios.

%package devel
Summary:	Header files and development documentation for libsmbios
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libsmbios
Summary(ru.UTF-8):	Хедеры для разработки программ с использованием libsmbios
Summary(uk.UTF-8):	Хедери для розробки програм з використанням libsmbios
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files and development documentation for libsmbios.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libsmbios.

%description devel -l ru.UTF-8
Хедеры для разработки программ с использованием libsmbios.

%description devel -l uk.UTF-8
Хедери для розробки програм з використанням libsmbios.

%package static
Summary:	Static libsmbios libraries
Summary(pl.UTF-8):	Biblioteki statyczne libsmbios
Summary(ru.UTF-8):	Статические библиотеки для разработки программ с использованием libsmbios
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм з використанням libsmbios
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsmbios libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libsmbios.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
libsmbios.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням libsmbios.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-DLIBSMBIOS_ASSERT_CONFIG=1"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf src/include/{smbios,smbios_c} $RPM_BUILD_ROOT%{_includedir}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-OSL ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libsmbios.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmbios.so.2
%attr(755,root,root) %{_libdir}/libsmbios_c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmbios_c.so.2

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/dellBiosUpdate-compat
%attr(755,root,root) %{_sbindir}/dellLEDCtl
%attr(755,root,root) %{_sbindir}/dellMediaDirectCtl
%attr(755,root,root) %{_sbindir}/smbios-*
%dir %{_sysconfdir}/libsmbios
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libsmbios/logging.conf
%{_datadir}/smbios-utils
# or %files -n python-libsmbios ?
%{py_sitescriptdir}/libsmbios_c

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmbios.so
%attr(755,root,root) %{_libdir}/libsmbios_c.so
%{_libdir}/libsmbios.la
%{_libdir}/libsmbios_c.la
%{_includedir}/smbios
%{_includedir}/smbios_c
%{_pkgconfigdir}/libsmbios_c++.pc
%{_pkgconfigdir}/libsmbios_c.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsmbios.a
%{_libdir}/libsmbios_c.a

# %files -n yum-*?
#%{_libdir}/yum-plugins/dellsysid.py*
#%config(noreplace) %verify(not md5 mtime size) /etc/yum/dellsysid.conf
%changelog
* Fri Apr 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsmbios.git;a=log;h=master

* Fri Apr 03 2015 Jan Rękorajski <baggins@pld-linux.org> 0ce7a65
- fix building with autoconf not supporting lzma anymore
- update gcc patch for 4.9.x
- add x32 build
- rel 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a6fedb7
- updated gettext BR

* Fri Jul 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ffe33d
- updated to 2.2.28
- added gcc46 patch to allow gcc 4.6.x

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 7bcd7d5
- noted link patch update

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 00408be
- updated to 2.2.27
- updated link patch

* Sat Feb 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 6898115
- missing patch

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> f4d8b61
- macros for py_postclean

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 2cdefc7
- updated to 2.2.26
- updated sh patch, removed obsolete ac patch
- added link patch to avoid *.la poisoning by -L pointing to builddir

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f83ac4
- updated to 2.0.2
- added ac patch to fix ac 2.6x issue
- added sh patch to kill bashism, run configure using sh
  (libtool 2.x don't work with sh when configured using bash)

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 0873b06
- kill bashism

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 6cefeaa
- ac fix

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 9821940
- updated to 2.0.0 (note: libsmbios soname changed, libsmbiosxml gone)
- removed obsolete link patch

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 2b3e4d4
- obsolete

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> e5f38ca
- updated to 0.13.13

* Fri Nov 02 2007 Jakub Bogusz <qboosh@pld-linux.org> fc0e0be
- updated to 0.13.11
- added link patch to kill -L poisoning in libsmbiosxml.la

* Fri Nov 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 03c6920
- kill -L poisoning in libsmbiosxml.la

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 0b1d7c1
- updated to 0.13.10

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> a8febb5
- updated to 0.13.8

* Mon Jul 09 2007 Jakub Bogusz <qboosh@pld-linux.org> cb6f8f9
- fixed build

* Fri Jul 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 2ca304e
- pl, better group for -progs

